<?
include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {

if(@file("L2dbnam/esql2db/item/$log.dat")){
$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);
$i2=round($i+1);

if($data[2]=="Blessed Scroll Enchant Armor"){
echo"<a href=\"blessedarmor.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}
if($data[2]=="Blessed Scroll Enchant Shield"){
echo"<a href=\"blessedshield.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}
if($data[2]=="Blessed Scroll Enchant Boots"){
echo"<a href=\"blessedboots.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}
if($data[2]=="Blessed Scroll Enchant Helmet"){
echo"<a href=\"blessedHelmet.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}
if($data[2]=="Blessed Scroll Enchant Gloves"){
echo"<a href=\"blessedGloves.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}
if($data[2]=="Blessed Scroll Enchant Weapon"){
echo"<a href=\"blessedskroll.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}
if($data[2]=="petweapon"){
echo"<a href=\"odetpet.php?$sd&name=$data[4]&id=$i\">$data[4]</a>- (М+$data[0])<br/>";}
if($data[2]=="pets"){
echo"$data[4] [$data[3]]<br/>";}
if($data[2]=="wolf"){
echo"<a href=\"wolf.php?$sd\">$data[4]</a><br/>";}
if($data[2]=="ScrollWeapon"){
echo"<a href=\"skroll.php?$sd&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="ScrollGloves"){
echo"<a href=\"skrollgloves?$sd&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="ScrollShlem"){
echo"<a href=\"skrollshlem.php?$sd&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="ScrollBoots"){
echo"<a href=\"skrollboots.php?$sd&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="ScrollShield"){
echo"<a href=\"skroll4it.php?$sd&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="ScrollArmor"){
echo"<a href=\"skrollrobe.php?$sd&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="vesh"){
echo"<a href=\"odet.php?$sd&tip=$data[2]&name=$data[4]\">$data[4]</a>- ($data[3] штук)<br/>";}
if($data[2]=="sheya"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[45]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo" (Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="weapon"){
$u=explode('*',$udata[12]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="shit"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[53]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="body"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[11]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="nogi"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[13]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="golova"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[10]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="ykr"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[54]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="ryki"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[52]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="ring"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[48]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="ring1"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[49]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="serga"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[46]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)</small><br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="serga1"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[47]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="4it"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
$u=explode('*',$udata[53]);
echo"<a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a>- [+$data[0]]"; if($data[3]=="0"){echo"(Грэйд: NG)<br/>";}else{echo"(Грэйд: $data[3])<br/>";}}
if($data[2]=="vesh2"){
echo"<a href=\"tovesh.php?$sd&tip=$data[2]&name=$data[4]&id=$i\">$data[4]</a>- ($data[3] штук) [+$data[0]]<br/>";}

}}else{echo"У вас нет вещей.";}

if($total>0){

$ba=ceil($total/5);
$ba2=$ba*5-5;

$asd=$start-(5*3);
$asd2=$start+(5*4);

if($asd<$total && $asd>0){echo ' <a href="itemall.php?start=0&'.$sd.'">1</a> ... ';}

for($i=$asd; $i<$asd2;){

if($i<$total && $i>=0){
$ii=floor(1+$i/5);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
}else{
echo ' <a href="itemall.php?start='.$i.'&'.$sd.'">'.$ii.'</a>';
}}

$i=$i+5;}
if($asd2<$total){echo ' ... <a href="itemall.php?start='.$ba2.'&'.$sd.'">'.$ba.'</a>';}
}


}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>




